#include <QCoreApplication>
#include "../ytDataCollectorDog/datacollector.h"
#include "devicedatainfluxdbwriter.h"

DataCollectorShm *dataColShm;

bool load_shm()
{
    int shmid;
    key_t key;

    if((key=ftok(SHM_PATH,static_cast<int>(SHM_PORT)))==-1){
        return false;
    }
    if((shmid=shmget(key,sizeof(DataCollectorShm),IPC_CREAT|0666))==-1){
        return false;
    }
    dataColShm = static_cast<DataCollectorShm *>(shmat(shmid,nullptr,0));

    return true;
}

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    if(load_shm()){

        DeviceDataInfluxdbWriter *core = new DeviceDataInfluxdbWriter(nullptr);
        core->start();
    }

    return a.exec();
}
